# 32/64bit spec-file
#
%define qmake /usr/bin/qmake-qt4
%define lrelease /usr/bin/lsb-release
%define uic /usr/bin/uic-qt4
%define qtxdglib %{_lib}qtxdg
%define qtxdglibdevel %{_lib}qtxdg-devel

%define name razorqt
%define version 0.5.2
%define release %mkrel 2

Name:	%name
Version:	%version
Release:	%release
License:	LGPL
Source:		razorqt-%{version}.tar.xz
Source1:	razor-applications.menu
Group:		Graphical desktop/Razor
Summary:	Razor a lightweight desktop toolbox
Summary(de):	Razor ist eine leichtgewichtiger Desktopwerkzeugkasten.
URL:		http://razor-qt.org
BuildRequires:	cmake
BuildRequires:	%{_lib}qt4-devel >= 4.6.0
BuildRequires:	%{_lib}magic-devel
BuildRequires:	qt4-linguist
BuildRequires:	doxygen
BuildRequires:	%{_lib}xcomposite-devel
BuildRequires:	%{_lib}xcursor-devel
BuildRequires:	libxrender-devel
BuildRequires:	libxdamage-devel
BuildRequires:	polkit-qt-1-devel
# for cpu load and and network monitor plugin
BuildRequires:	libstatgrab-devel
# for volume plugin
BuildRequires:	pulseaudio-devel
BuildRequires:	libalsa-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Requires:	%{name}-appswitcher = %{version}
Requires:	%{name}-config = %{version}
Requires:	%{name}-data = %{version}
Requires:	%{name}-desktop = %{version}
Requires:	%{name}-panel = %{version}
Requires:	%{name}-power = %{version}
Requires:	%{name}-policykit-agent = %{version}
Requires:	%{name}-runner = %{version}
Requires:	%{name}-session = %{version}
Prefix:	/usr
Recommends: qterminal
Recommends: qlipper2


%package	-n %{qtxdglib}
Url:            http://razor-qt.org
Summary:	QtXdg library
Summary(de):	QtXdg Bibliothek
Group:		System/Libraries

%package	-n %{qtxdglibdevel}
Url:            http://razor-qt.org
Summary:	Development files for QtXdg library
Summary(de):	Entwicklerdateien für die QtXdg Bibliothek
Group:		Development/Libraries
Requires:	%{qtxdglib} = %{version}

%package	appswitcher
Url:            http://razor-qt.org
Summary:	RazorQt application switcher
Summary(de):	RazorQt Programmänderer
Group:		Graphical desktop/Razor
Requires:	%{name}-data

%package	config
Url:            http://razor-qt.org
Summary:	RazorQt config tools
Summary(de):	RazorQt Konfigurationswerkzeuge
Group:		Graphical desktop/Razor

%package	data
Url:            http://razor-qt.org
Summary:        RazorQt resources and shared data
Summary(de):	RazorQt Resourcen und gemeinsame Daten
Group:          Graphical desktop/Razor
Obsoletes:	%{name}-resources <= %{version}

%package	desktop
Url:            http://razor-qt.org
Summary:	RazorQt desktop
Summary(de):	RazorQt Desktop
Group:		Graphical desktop/Razor
Requires:	%{name}-data

%package	devel
Summary:	RazorQt development package
Summary(de):	RasorQt Entwicklungspaket
Url:            http://razor-qt.org
Group:		Development/Libraries
Requires:	%{name}-libraries
Obsoletes:	razorqt-x11info <= %{version}

%package	libraries
Summary:	RazorQt shared library
Summary(de):	RazorQt gemeinsame Bibliotheken
Url:            http://razor-qt.org
Group:		System/Libraries
Requires:	upower
Obsoletes:	razorqt-libs <= %{version}, librazorqt0 <= %{version}

%package	panel
Url:            http://razor-qt.org
Summary:	RazorQt panel
Summary(de):	RazorQt Leiste
Group:		Graphical desktop/Razor
Requires:	%{name}-data

%package	policykit-agent
Url:		http://razor-qt.org
Summary:	RazorQt policykit agent
Summary(de):	RazorQt Policykit Agent
Group:          Graphical desktop/Razor

%package	power
Url:		http://razor-qt.org
Summary:	RazorQt power management apps
Summary(de):	RazorQt Programme zum Strommanagement
Group:		Graphical desktop/Razor
Requires:	%{name}-data

%package	runner
Url:            http://razor-qt.org
Summary:        RazorQt runner application
Summary(de):	RazorQt Programmstarter
Group:          Graphical desktop/Razor
Requires:	%{name}-data

%package	session
Url:            http://razor-qt.org
Summary:	RazorQt session
Summary(de):	RazorQt Session
Group:		Graphical desktop/Razor
Requires:	%{name}-data
Obsoletes:	%{name}-openbox <= %{version}, %{name}-wm <= %{version}

%description
Description:	A metapackage for Razor-qt DE. It will install all components.

%description -l de 
Ein Metapaket für die RazorQt Desktopumgebung. Dieses Paket wird alle
benötigten Komponenten installieren.

%description	libraries
Description:	Base runtime libraries for Razor-qt DE.

%description	libraries -l de
Basis Laufzeitbibliotheken für die Razor-Qt Desktopumgebung

%description	-n %{qtxdglib}
Description:	Implementation of XDG standards in Qt.

%description	-n %{qtxdglib} -l de
Implementierung des XDG-Standard in Qt

%description    -n %{qtxdglibdevel}
Description:	A development environment for qtxdg.

%description    -n %{qtxdglibdevel} -l de
Entwicklerdateien für qtxdg

%description	devel
Description:	A development environment for Razor-qt.

%description	devel -l de
Entwicklerdateien für Razor-Qt

%description	appswitcher
Description:	A alt+tab appliaction switcher for window managers where it is not available natively.

%description	appswitcher -l de
Ein Wechsler von Programmen, der mittels Alt+Tab zum nächsten Programm wechselt.
Dies ist für Fenstermanager gedacht, die dieses Verhalten nicht von Haus aus 
unterstützen.

%description	config
Description:	Razor-qt configuration GUI tools.

%description	config -l de
Razor-Qts Konfigurationswerkzeuge mit einer grafischen Oberflächen.

%description	data
Description:	Shared data for Razor-qt. For example: themes, images, etc.

%description	data -l de
Gemeinsame Daten für Razor-qt. Beispielsweise Themen, Bilder usw.

%description	desktop
Description:	Razor-qt desktop implementation.

%description	desktop -l de
Implementierung des Razor-Qt Desktops

%description	panel
Description:	Razor-qt panel and its plugins.

%description	panel -l de
Razor-Qt Leiste und ihre Plugins

%description	policykit-agent
Description:	A lightweight PolicyKit agent primarily writen for Razor-qt DE. But it can be used standalone as well.

%description	policykit-agent -l de
Ein leichtgewichtiger PolicyKit Agent, der primär für Razor-Qt geschrieben wurden, aber 
es kann auch allein in anderen Desktopumgebungen genutzt werden.

%description    power
Description:	Power management apps for Razor-qt DE

%description    power -l de
Programme zur Energieverwaltung für den Razor-Qt Desktop

%description	runner
Description:	Quick launch/runner application for Razor-qt.

%description	session
Description:	Razor-qt session environment.

%description	session -l de
Razor-Qt Sessionumgebung

%prep
%setup -q -n razorqt-%{version}

%build
%cmake_qt4
%make

%install
%{__rm} -rf %{buildroot}
pushd build
%{makeinstall} DESTDIR=%{buildroot}
popd

#our custom menu
install -m 0644 %SOURCE1 %{buildroot}/etc/xdg/menus/razor-applications.menu

#our session file
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
ourfile=%{buildroot}%{_sysconfdir}/X11/wmsession.d/05razor

cat > $ourfile << EOF
NAME=RazorDesktop
DESC=The RazorQt Desktop Environment
EXEC=/usr/bin/startrazor
SCRIPT:
exec /usr/bin/startrazor
EOF


%clean
%{__rm} -rf %{buildroot}

%post	libraries
ldconfig

%post   -n %{qtxdglib}
ldconfig

%postun	libraries
ldconfig

%postun -n %{qtxdglib}
ldconfig

%post session
%make_dm_session

%postun session
%make_dm_session



%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/razor-about
%{_bindir}/razor-config-autosuspend
%{_bindir}/razor-config-globalkeyshortcuts
%{_bindir}/razor-config-notificationd
%{_bindir}/razor-confupdate
%{_bindir}/razor-globalkeyshortcuts
%{_bindir}/razor-notificationd
%{_bindir}/razor-openssh-askpass
%{_libdir}/razor-confupdate_bin/sesion_modules
%{_sysconfdir}/razor/desktop.conf
%{_sysconfdir}/razor/razor-panel/panel.conf
%{_sysconfdir}/razor/razor.conf
%{_sysconfdir}/razor/session.conf
%{_sysconfdir}/razor/windowmanagers.conf
%{_sysconfdir}/xdg/menus/razor-config.menu
%{_datadir}/razor/razor-openssh-askpass/razor-openssh-askpass_*.qm

%files	libraries
%defattr(-,root,root,-)
%{_libdir}/librazor*.so.*
%{_datadir}/librazorqt

%files  -n %{qtxdglib}
%defattr(-,root,root,-)
%{_libdir}/libqtxdg.so.*

%files  -n %{qtxdglibdevel}
%defattr(-,root,root,-)
%{_libdir}/libqtxdg.so
%{_libdir}/pkgconfig/qtxdg.pc
%{_includedir}/qtxdg/

%files	devel
%defattr(-,root,root,-)
%{_libdir}/librazor*.so
%{_libdir}/pkgconfig/razor*.pc
%{_includedir}/razor*/
%{_bindir}/razor-x11info

%files	appswitcher
%defattr(-,root,root,-)
%{_bindir}/razor-appswitcher

%files	desktop
%defattr(-,root,root,-)
%{_bindir}/razor-desktop
%{_bindir}/razor-config-desktop
%{_libdir}/razor-desktop
%{_datadir}/applications/razor-config-desktop.desktop
%dir %{_datadir}/razor
%{_datadir}/razor/razor-desktop/
%{_datadir}/applications/razor-about.desktop
%{_datadir}/applications/razor-config-autosuspend.desktop
%{_datadir}/applications/razor-config-globalkeyshortcuts.desktop
%{_datadir}/applications/razor-config-notificationd.desktop
%{_datadir}/applications/razor-config-qtconfig.desktop
%{_datadir}/icons/hicolor/scalable/apps/laptop-lid.svg
%{_datadir}/razor/razor-config-notificationd/razor-config-notificationd_*.qm
%{_datadir}/razor/razor-notificationd/razor-notificationd_*.qm

%files	panel
%defattr(-,root,root,-)
%{_bindir}/razor-panel
%{_libdir}/razor-panel/
%{_datadir}/razor/razor-panel/

%files	policykit-agent
%defattr(-,root,root,-)
%{_bindir}/razor-policykit-agent
%{_datadir}/razor/razor-policykit-agent/razor-policykit-agent_*.qm

%files	power
%defattr(-,root,root,-)
%{_bindir}/razor-power
%{_bindir}/razor-autosuspend
%{_datadir}/razor/razor-power/
%{_datadir}/applications/razor-power.desktop
%{_iconsdir}/hicolor/scalable/apps/razor-autosuspend.svg
%{_datadir}/razor/razor-autosuspend
%{_datadir}/razor/razor-config-autosuspend

%files	runner
%defattr(-,root,root,-)
%{_bindir}/razor-runner
%{_datadir}/razor/razor-runner/

%files  config
%defattr(-,root,root,-)
%{_bindir}/razor-config
%{_bindir}/razor-config-mouse
%{_bindir}/razor-config-appearance
%{_datadir}/applications/razor-config.desktop
%{_datadir}/applications/razor-config-mouse.desktop
%{_datadir}/applications/razor-config-appearance.desktop
%{_datadir}/razor/razor-config/
%{_datadir}/razor/razor-config-globalkeyshortcuts
%{_datadir}/razor/razor-confupdate


%files	session
%defattr(-,root,root,-)
%{_bindir}/razor-session
%{_bindir}/razor-config-session
%{_bindir}/startrazor

%dir %{_datadir}/apps/
%dir %{_datadir}/apps/kdm
%dir %{_datadir}/apps/kdm/sessions
%{_datadir}/applications/razor-config-session.desktop
%{_datadir}/razor/razor-session/
%{_sysconfdir}/xdg/autostart/razor*.desktop
%{_datadir}/razor/razor-config-session
%{_sysconfdir}/X11/wmsession.d/05razor
%exclude %{_datadir}/xsessions/razor*.desktop
%exclude %{_datadir}/apps/kdm/sessions/razor*.desktop


%files	data
%defattr(-,root,root,-)
%{_datadir}/razor/graphics/
%{_datadir}/razor/themes/
%{_sysconfdir}/xdg/menus/razor-applications.menu
%dir /etc/xdg/menus
%{_datadir}/desktop-directories/razor*
%dir %{_datadir}/desktop-directories
# temp files - it will be removed when it becomes part of upstream
%{_libdir}/razor-xdg-tools
%{_datadir}/libqtxdg

%changelog
* Sun May 19 2013 Texstar <texstar at gmail.com> 0.5.2-2pclos2013
- fix rpmgroup
- fix menu system for Razor
- add session maker script 

* Sun Feb 24 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.5.2-1pclos2013
- 0.5.2
- added german summaries and descriptions
- replaced cmake by cmake macro
- replaced make by make macro
- added new language files in files sections
- added BR alsa-devel (opt), pulseaudio-devel (opt), xrender-devel (req), libstatgrap-devel (opt), polkit-qt-1-devel (req)

* Tue Oct 23 2012 Neal <nealbrks0 at gmail dot com> 0.5.1-1pclos2012
- process

* Tue Oct 23 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.5.1-1_archie_2012
- bugfixes and update

* Tue Oct 16 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.5.0-1_archie_2012
- update

* Mon Apr 09 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.4.1-2_archie_2012
- Rebuild

* Sun Feb 12 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.4.1-1_archie_2011
- 0.4.1

* Wed Dec 21 2011 Texstar <texstar at gmail.com> 0.4.0-1pclos2011
- 0.4.0

* Mon Nov 28 2011 Texstar <texstar at gmail.com> 0.3.99.1321741960-1pclos2011
- 0.3.99.1321741960
